CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

XRefEdit Property (ActiveX)

2023-1-3 00:53| 发布者: admin| 查看: 183| 评论: 0|来自: AutoCAD

摘要: 确定当前图形在被其他用户参照时是否可以就地编辑。

确定当前图形在被其他用户参照时是否可以就地编辑。

支持的平台:仅窗口

签名

工 务 局:

object.XRefEdit
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:允许就地编辑引用。
  • False:不允许就地编辑引用。

言论

此属性的初始值为。True

注意:此属性的值存储在 XEDIT 系统变量中。

例子

工 务 局:

Sub Example_XRefEdit()
    ' This example reads and modifies the preference value that controls
    ' whether the current drawing can be edited in place when being
    ' referenced by another user.
    '
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadDatabasePreferences
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.preferences
    
    ' Read and display the original value
    originalValue = ACADPref.XRefEdit
    MsgBox "The XRefEdit preference is set to: " & originalValue

    ' Modify the XRefEdit preference by toggling the value
    ACADPref.XRefEdit = Not (ACADPref.XRefEdit)
    newValue = ACADPref.XRefEdit
    MsgBox "The XRefEdit preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.XRefEdit = originalValue
    MsgBox "The XRefEdit preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_XRefEdit()
    ;; This example reads and modifies the preference value that controls
    ;; whether the current drawing can be edited in place when being
    ;; referenced by another user.
    ;;
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    (setq preferences (vla-get-Preferences doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-XRefEdit preferences))
    (alert (strcat "The XRefEdit preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the XRefEdit preference by toggling the value
    (vla-put-XRefEdit preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (alert (strcat "The XRefEdit preference has been set to: " (if (= (vla-get-XRefEdit preferences) :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-XRefEdit preferences originalValue)
    (alert (strcat "The XRefEdit preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:27

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部